Mint 14 System Requirements

Questions about Grub, UEFI,the liveCD and the installer
Forum rules
Before you post please read this

Mint 14 System Requirements

Postby Oscar799 on Thu Dec 06, 2012 5:15 am

Mint 14 Cinnamon and MATE
a 32-bit PAE-enabled x86 processor or a 64-bit x86 processor (Linux Mint 64-bit requires a 64-bit processor. Linux Mint 32-bit works on both PAE 32-bit processors and 64-bit processors).
512 MB RAM (1GB recommended for a comfortable usage).
5 GB of disk space
Graphics card capable of 800×600 resolution
CD/DVD drive or USB port

http://blog.linuxmint.com/?p=2216

Mint 14 KDE
x86 processor (Linux Mint 64-bit requires a 64-bit processor. Linux Mint 32-bit works on both 32-bit and 64-bit processors).
512 MB RAM (1GB recommended for a comfortable usage).
5 GB of disk space
Graphics card capable of 800×600 resolution
CD/DVD drive or USB port


http://blog.linuxmint.com/?p=2244

Mint 14 Xfce
x86 processor (Linux Mint 64-bit requires a 64-bit processor. Linux Mint 32-bit works on both 32-bit and 64-bit processors).
384 MB RAM (1GB recommended for a comfortable usage).
5 GB of disk space
Graphics card capable of 800×600 resolution
CD/DVD drive or USB port

http://blog.linuxmint.com/?p=2246
Image
"Don't fix it if it ain't broken,don't break it if you can't fix it" Husse
Registered Linux User #511789
User avatar
Oscar799
Level 18
Level 18
 
Posts: 8799
Joined: Tue Aug 11, 2009 9:21 am
Location: United Kingdom

Linux Mint is funded by ads and donations.
 

Re: Mint 14 System Requirements

Postby NeonHeartz2k on Mon Dec 17, 2012 1:06 am

Can't wait to install! :)
NeonHeartz2k
Level 1
Level 1
 
Posts: 4
Joined: Mon Dec 17, 2012 12:38 am

Re: Mint 14 System Requirements

Postby menta13 on Sun Feb 10, 2013 6:09 pm

someone with the requirements 4 LXDE :?:
menta13
Level 1
Level 1
 
Posts: 18
Joined: Sat Feb 09, 2013 1:51 pm

Re: Mint 14 System Requirements

Postby nunol on Sun Feb 10, 2013 6:29 pm

Mint 14 doesn't have the "official" LXDE edition but you can install Mint 14 XFCE and install LXDE on top. The requirements are the same as Mint 14 XFCE. The same is true if you install LXDE on top of any other Mint edition.

If you can't install any Mint 14 or 13 edition try installing Mint 12 LXDE (256MB RAM, 4GB disk space, i686 CPU, CD/USB) and upgrade to the Mint 13 base with apt-get, it's easy:
viewtopic.php?f=175&t=115396&hilit=+upgrade#p641560
User avatar
nunol
Level 9
Level 9
 
Posts: 2664
Joined: Sun Mar 06, 2011 9:25 pm
Location: Portugal

Re: Mint 14 System Requirements

Postby DaveO on Sun Mar 17, 2013 7:58 pm

I have Mint 13 MATE 32 bit running on an old Dell Latitude X300 laptop but I can't install 14 because the kernal requires a CPU that supports pae.

I thought the pae feature could be switched on or off so is there a work around that would let me upgrade to 14? In other words a way to get a version of 14 that has a kernal with pae switched off? I was thinking I could install a non-pae version of the kernal and then update everything else seperately.

If that is possible could anyone give me some pointers as to how to go about it?

Thanks.
DaveO
Level 1
Level 1
 
Posts: 2
Joined: Sun Mar 17, 2013 7:36 pm

Re: Mint 14 System Requirements

Postby ljonesj on Sun Mar 17, 2013 10:36 pm

It should as I've read that every Intel CPU since the first gen Pentium support pae
ljonesj
Level 1
Level 1
 
Posts: 18
Joined: Tue Jun 26, 2012 10:22 am

Re: Mint 14 System Requirements

Postby DaveO on Mon Mar 18, 2013 8:57 pm

ljonesj wrote:It should as I've read that every Intel CPU since the first gen Pentium support pae


No it doesn't and who knows why Intel didn't include it in some CPU's after they first implemented it. It is a Pentium M CPU and its certainly true that pae was not enabled on some earlier versions of the processor.

I was unaware of this myself until I made a USB live image to do the upgrade. It just hung. So I tried the safe mode option from the boot menu and it flagged the error about the CPU not having pae capability. I did some research and it didn't take long to find out pae is not enabled on my machine.

I don't know why pae is a requirement for the 32 bit kernal. It seems a rather odd choice.

I am quite happy compiling stuff so if I could make my own Mint 14 by compiling a kernal with pae off I wouldn't mind the tinkering involved. Just not sure where to start or if it is possible.
DaveO
Level 1
Level 1
 
Posts: 2
Joined: Sun Mar 17, 2013 7:36 pm

Re: Mint 14 System Requirements

Postby nunol on Fri Mar 22, 2013 7:22 pm

DaveO wrote:I don't know why pae is a requirement for the 32 bit kernal. It seems a rather odd choice.

Ubuntu decided that, the Ubuntu based Mint editions use the Ubuntu kernel so Mint 14, Mint 15, etc also require pae support.

It's for the 32bit kernel to support more than 4GB of RAM and up to 64GB. 32bit limit by process still 4GB. Applications using more than one process may use more than 4GB of RAM. Also provides the NX bit functionality.

DaveO wrote:I am quite happy compiling stuff so if I could make my own Mint 14 by compiling a kernal with pae off I wouldn't mind the tinkering involved. Just not sure where to start or if it is possible.


There are ways but LMDE has the i486 kernel available that works with CPU's without pae support.
User avatar
nunol
Level 9
Level 9
 
Posts: 2664
Joined: Sun Mar 06, 2011 9:25 pm
Location: Portugal

Re: Mint 14 System Requirements

Postby MightyManfred on Wed Apr 17, 2013 8:56 am

Good to find this thread. I have a Gateway LT4004U netbook with 2GB RAM, Intel Atom N2600 CPU and Mint 14 will not load. I've loaded it within the virtual machine, checking the PAE box in the system applet. But there is nothing in the boot options to address this. I guess I need to find Mint 13.
MightyManfred
Level 1
Level 1
 
Posts: 5
Joined: Wed Apr 17, 2013 8:51 am

Re: Mint 14 System Requirements

Postby Banacek on Wed Apr 17, 2013 11:18 am

I've read that the mainboard should also be checked for PAE compatibility because if it isn't, it won't work even if the CPU does support PAE. However, when I look at the stats for the PC I'm currently using (http://h10025.www1.hp.com/ewfrf/wc/docu ... e=bpb11682 believe me, I would not pay good money for this crap; the only reason I'm using this machine is because it's free and it gets me online) but I don't see anything that tells me whether or not there is any PAE support. Is there a tool somewhere that will tell me whether or not it supports PAE? I'm running Windows XP Home Edition on this machine but I'm interested in running Mint on it as a dual boot.
Banacek
Level 1
Level 1
 
Posts: 5
Joined: Tue Nov 27, 2007 1:42 pm

Re: Mint 14 System Requirements

Postby nunol on Thu Apr 25, 2013 7:54 pm

MightyManfred wrote:Good to find this thread. I have a Gateway LT4004U netbook with 2GB RAM, Intel Atom N2600 CPU and Mint 14 will not load. I've loaded it within the virtual machine, checking the PAE box in the system applet. But there is nothing in the boot options to address this. I guess I need to find Mint 13.


That CPU supports PAE (and 64bit), it's something else that's preventing Mint 14 from loading.

Banacek wrote:I've read that the mainboard should also be checked for PAE compatibility because if it isn't, it won't work even if the CPU does support PAE. However, when I look at the stats for the PC I'm currently using (http://h10025.www1.hp.com/ewfrf/wc/docu ... e=bpb11682 believe me, I would not pay good money for this crap; the only reason I'm using this machine is because it's free and it gets me online) but I don't see anything that tells me whether or not there is any PAE support. Is there a tool somewhere that will tell me whether or not it supports PAE? I'm running Windows XP Home Edition on this machine but I'm interested in running Mint on it as a dual boot.


That CPU supports PAE.
User avatar
nunol
Level 9
Level 9
 
Posts: 2664
Joined: Sun Mar 06, 2011 9:25 pm
Location: Portugal

Re: Mint 14 System Requirements

Postby sharath9441 on Sat May 18, 2013 1:38 pm

I had installed Mint 14 on my Laptop and it runs fine. However the issue is when I had tried instaling it on another old Laptop I had the error shown is "Kernel requires an x 86-64 CPU,but detected an i686 for your CPU, please use a Kernel appropriate for your CPU". Please help whether an Older version of Linux (which one???) should do the Trick or not?
sharath9441
Level 1
Level 1
 
Posts: 4
Joined: Sat May 18, 2013 1:32 pm

Re: Mint 14 System Requirements

Postby AlbertP on Sat May 18, 2013 2:13 pm

MightyManfred wrote:Good to find this thread. I have a Gateway LT4004U netbook with 2GB RAM, Intel Atom N2600 CPU and Mint 14 will not load. I've loaded it within the virtual machine, checking the PAE box in the system applet. But there is nothing in the boot options to address this. I guess I need to find Mint 13.


Please open a new topic, this is not a problem with system requirements (computer is good enough for this), but rather a graphics driver problem with the PowerVR graphics of your Atom N2600 CPU.
I recommend to use Mint 13 and install cedarview-graphics-drivers from Software Manager there. On Mint 14 there is no such driver.
Registered Linux User #528502
Image
Feel free to correct me if I'm trying to write in Spanish, French or German.
AlbertP
Level 16
Level 16
 
Posts: 6513
Joined: Sun Jan 30, 2011 12:38 pm
Location: The Netherlands

Re: Mint 14 System Requirements

Postby AlbertP on Sat May 18, 2013 2:14 pm

sharath9441 wrote:However the issue is when I had tried instaling it on another old Laptop I had the error shown is "Kernel requires an x 86-64 CPU,but detected an i686 for your CPU, please use a Kernel appropriate for your CPU". Please help whether an Older version of Linux (which one???) should do the Trick or not?

Please use a 32-bit edition of Linux instead of 64-bit.
Registered Linux User #528502
Image
Feel free to correct me if I'm trying to write in Spanish, French or German.
AlbertP
Level 16
Level 16
 
Posts: 6513
Joined: Sun Jan 30, 2011 12:38 pm
Location: The Netherlands

Re: Mint 14 System Requirements

Postby riki on Thu May 30, 2013 10:10 am

I have a 32-bit CPU (non-PAE) which is allowing me to dual boot LM13 32-bit and LM14 64-bit, both using generic kernels. The requirements posted by Oscar at the top of this thread are then not exactly correct?
Riki

Image
User avatar
riki
Level 4
Level 4
 
Posts: 367
Joined: Thu Jun 03, 2010 4:57 pm
Location: UK

Re: Mint 14 System Requirements

Postby AlbertP on Thu May 30, 2013 10:17 am

Which CPU is it exactly? The only noteworthy non-PAE CPU's are older Pentium M models. There are also quite some Pentium Ms out which have PAE support and therefore run Mint 14 or 15 without any problem. I suspect you have one of those models.
Registered Linux User #528502
Image
Feel free to correct me if I'm trying to write in Spanish, French or German.
AlbertP
Level 16
Level 16
 
Posts: 6513
Joined: Sun Jan 30, 2011 12:38 pm
Location: The Netherlands

Re: Mint 14 System Requirements

Postby riki on Thu May 30, 2013 10:27 am

AlbertP wrote:Which CPU is it exactly? The only noteworthy non-PAE CPU's are older Pentium M models. There are also quite some Pentium Ms out which have PAE support and therefore run Mint 14 or 15 without any problem. I suspect you have one of those models.


AMD Athlon(tm) 7550 Dual-Core Processor 2511.20MHz and it does not support PAE.
Riki

Image
User avatar
riki
Level 4
Level 4
 
Posts: 367
Joined: Thu Jun 03, 2010 4:57 pm
Location: UK

Re: Mint 14 System Requirements

Postby AlbertP on Thu May 30, 2013 10:44 am

It certainly does, and it even supports 64-bit.

Athlon X2 7550 is not that old, it's introduced in 2008 so it already includes all the technology necessary to run a modern operating system.
Registered Linux User #528502
Image
Feel free to correct me if I'm trying to write in Spanish, French or German.
AlbertP
Level 16
Level 16
 
Posts: 6513
Joined: Sun Jan 30, 2011 12:38 pm
Location: The Netherlands

Re: Mint 14 System Requirements

Postby riki on Thu May 30, 2013 10:49 am

AlbertP wrote:It certainly does. You wouldn't have been able to run 14 with its default kernel otherwise.


Well, LM14 64-bit has installed a generic kernel and I have checked again the CPU of my PC and it definitely does not support PAE. Go figure.
Riki

Image
User avatar
riki
Level 4
Level 4
 
Posts: 367
Joined: Thu Jun 03, 2010 4:57 pm
Location: UK

Re: Mint 14 System Requirements

Postby AlbertP on Thu May 30, 2013 10:52 am

Where did you see that it supports no PAE?
Registered Linux User #528502
Image
Feel free to correct me if I'm trying to write in Spanish, French or German.
AlbertP
Level 16
Level 16
 
Posts: 6513
Joined: Sun Jan 30, 2011 12:38 pm
Location: The Netherlands

Linux Mint is funded by ads and donations.
 
Next

Return to Installation & Boot

Who is online

Users browsing this forum: Google Adsense [Bot] and 13 guests